Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.plugin.filter.select
Class TypeFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.analysis.plugin.filter.select.TypeFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public final class TypeFilter

extends AbstractFilterPlugin

This filter has exactly one input port and one output port. Only the specified objects are forwarded to the output port. All other objects are forwarded to the output-not port.

Since:
  1.5
Author:
  Jan Waller

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_TYPES` The name of the property determining which types will be filtered.
`static String` | `INPUT_PORT_NAME_EVENTS` The name of the input port receiving new events.
`static String` | `OUTPUT_PORT_NAME_TYPE_MATCH` The name of the output port where the incoming matching objects will be sent to.
`static String` | `OUTPUT_PORT_NAME_TYPE_MISMATCH` The name of the output port where the incoming objects will be sent to, which do not match the configured types.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`TypeFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`void` | `inputEvents(Object event)` This method represents the input port for the incoming objects.

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init, terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### INPUT_PORT_NAME_EVENTS

    public static final String INPUT_PORT_NAME_EVENTS

  The name of the input port receiving new events.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_TYPE_MATCH

    public static final String OUTPUT_PORT_NAME_TYPE_MATCH

  The name of the output port where the incoming matching objects will be sent to.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_TYPE_MISMATCH

    public static final String OUTPUT_PORT_NAME_TYPE_MISMATCH

  The name of the output port where the incoming objects will be sent to, which do not match the configured types.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_TYPES

    public static final String CONFIG_PROPERTY_NAME_TYPES

  The name of the property determining which types will be filtered.

  See Also:
    Constant Field Values

Constructor Detail

### TypeFilter

    public TypeFilter(Configuration configuration,
                      IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component.

Method Detail

### getCurrentConfiguration

    public final Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### inputEvents

    public final void inputEvents(Object event)

  This method represents the input port for the incoming objects.

  Parameters:
    `event` - The new incoming object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net